aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorGravatar Benjamin Barenblat <bbaren@google.com>2021-02-01 18:21:19 -0500
committerGravatar Benjamin Barenblat <bbaren@google.com>2021-02-04 09:57:43 -0500
commite3f1c54506041fc65e261cd27d34fb04b44a90c7 (patch)
tree007a7dc6fd19315b29c078b1a8570b61a947467f /scripts
parentadd4f0914939d1f9ab894bfab02e3775f10af469 (diff)
Add a basic logging framework
Create a basic system to emit diagnostics to the user during operation. Mimic the glog API for the most part, but use an output format similar to that of coreutils and other established command-line tools. Reviewed-by: Alex Chernyakhovsky <achernya@google.com>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/run_all_tests24
1 files changed, 24 insertions, 0 deletions
diff --git a/scripts/run_all_tests b/scripts/run_all_tests
new file mode 100755
index 0000000..3d133de
--- /dev/null
+++ b/scripts/run_all_tests
@@ -0,0 +1,24 @@
+#!/bin/sh
+# Copyright 2021 Google LLC
+#
+# Licensed under the Apache License, Version 2.0 (the "License"); you may not
+# use this file except in compliance with the License. You may obtain a copy of
+# the License at
+#
+# https://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+# License for the specific language governing permissions and limitations under
+# the License.
+
+set -eu
+
+readonly TESTS=log_test
+
+cd "$(dirname "$(realpath "$0")")/.."
+ninja $TESTS
+for test in $TESTS; do
+ ./$test
+done